Skip to main content
GET
/
2
/
insights
/
28hr
최근 28시간 동안의 게시물 인사이트 조회
curl --request GET \
  --url https://api.x.com/2/insights/28hr \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "errors": [
        {
          "error": "<string>",
          "tweets": [
            "<string>"
          ]
        }
      ],
      "measurement": {
        "metrics_time_series": [
          {
            "tweet_id": "1346889436626259968",
            "value": {
              "metric_values": [
                {
                  "metric_type": "<string>",
                  "metric_value": 123
                }
              ],
              "timestamp": {
                "iso8601_time": "<string>"
              }
            }
          }
        ],
        "metrics_total": [
          {
            "tweet_id": "1346889436626259968",
            "value": [
              {
                "metric_type": "<string>",
                "metric_value": 123
              }
            ]
          }
        ]
      }
    }
  ],
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

tweet_ids
string[]
required

지난 28시간 메트릭용 PostIds 목록입니다.

Required array length: 1 - 25 elements

이 Tweet의 고유 식별자입니다. 일부 언어 및 도구에서 큰 정수를 처리하지 못해 발생하는 문제를 피하기 위해 문자열로 반환됩니다.

Pattern: ^[0-9]{1,19}$
Example:
["20"]
granularity
enum<string>
required

메트릭 응답의 세분화 수준(granularity)입니다.

Available options:
Daily,
Hourly,
Weekly,
Total
Example:

"Total"

requested_metrics
enum<string>[]
required

과거 요청에 대한 메트릭입니다.

Minimum array length: 1
Available options:
AppInstallAttempts,
AppOpens,
DetailExpands,
EmailTweet,
Engagements,
Follows,
HashtagClicks,
Impressions,
Likes,
LinkClicks,
MediaEngagements,
MediaViews,
PermalinkClicks,
ProfileVisits,
QuoteTweets,
Replies,
Retweets,
UniqueVideoViews,
UrlClicks,
UserProfileClicks,
VideoCompletions,
VideoPlayed25Percent,
VideoPlayed50Percent,
VideoPlayed75Percent,
VideoStarts,
VideoViews
engagement.fields
enum<string>[]

표시할 Engagement 필드를 쉼표로 구분한 목록입니다. Engagement 객체에서 사용 가능한 필드입니다.

Minimum array length: 1
Available options:
errors,
measurement
Example:
["errors", "measurement"]

Response

요청이 성공했습니다.

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체